function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (typeof call === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React from 'react';
import PropTypes from 'prop-types';
import { polyfill } from 'react-lifecycles-compat';
import ReferComponents from './ReferComponents';

var EnumComponents =
/*#__PURE__*/
function (_React$Component) {
  _inherits(EnumComponents, _React$Component);

  function EnumComponents(props) {
    var _this;

    _classCallCheck(this, EnumComponents);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(EnumComponents).call(this, props));
    _this.onChange = _this.onChange.bind(_assertThisInitialized(_this));
    _this.state = {
      record: {},
      record2: {}
    };
    return _this;
  }

  _createClass(EnumComponents, [{
    key: "onChange",
    value: function onChange(type, value) {
      var _this2 = this;

      // console.log([type,value])
      this.setState(_defineProperty({}, type, value), function () {
        if (type === 'record2') {
          var str = '';

          if (value.id) {
            str = ' getCode("' + _this2.state.record2.code + '","' + value.title + '") ';

            _this2.props.onInsertValue(str);

            _this2.props.onDesc('GetCode');
          }

          if (_this2.props.item.onChange) {
            _this2.props.item.onChange(str, value);
          }
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      var ReferDataUrl = this.props.ReferDataUrl;
      var fixedData = JSON.parse(JSON.stringify(this.props.item.data1)); // fixedData.refCode='entity'

      var fixedData2 = JSON.parse(JSON.stringify(this.props.item.data2));

      if (this.state.record && this.state.record.id) {
        _extends(fixedData2, {
          filterCondition: JSON.stringify({
            header: this.state.record.id
          })
        });
      }

      return React.createElement("div", {
        className: "yy-tab-content"
      }, React.createElement("form", {
        className: "form-horizontal"
      }, React.createElement("div", {
        className: "form-group"
      }, React.createElement("label", {
        className: "col-sm-2 control-label"
      }, this.props.item.showName1), React.createElement("div", {
        className: "col-sm-10"
      }, React.createElement(ReferComponents, {
        url: ReferDataUrl,
        fixedData: fixedData,
        value: this.state.record,
        placeholder: this.props.item.placeholder,
        notFoundContent: this.props.item.notFoundContent,
        onChange: this.onChange.bind(this, 'record')
      }))), React.createElement("div", {
        className: "form-group"
      }, React.createElement("label", {
        className: "col-sm-2 control-label"
      }, this.props.item.showName2), React.createElement("div", {
        className: "col-sm-10"
      }, React.createElement(ReferComponents, {
        url: ReferDataUrl,
        fixedData: fixedData2,
        value: this.state.record2,
        disabled: !this.state.record.id,
        placeholder: this.props.item.placeholder,
        notFoundContent: this.props.item.notFoundContent,
        onChange: this.onChange.bind(this, 'record2')
      })))));
    }
  }]);

  return EnumComponents;
}(React.Component);

EnumComponents.propTypes = {
  item: PropTypes.object,
  ReferDataUrl: PropTypes.string,
  fixedData: PropTypes.object
};
EnumComponents.defaultProps = {
  item: {},
  ReferDataUrl: '',
  fixedData: {}
};
polyfill(EnumComponents);
export default EnumComponents;