function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (typeof call === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

import React from 'react';
import PropTypes from 'prop-types';
import { polyfill } from 'react-lifecycles-compat';
import ReferComponents from './ReferComponents';

var AuxiliaryComponents =
/*#__PURE__*/
function (_React$Component) {
  _inherits(AuxiliaryComponents, _React$Component);

  function AuxiliaryComponents(props) {
    var _this;

    _classCallCheck(this, AuxiliaryComponents);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(AuxiliaryComponents).call(this, props));
    _this.onChange = _this.onChange.bind(_assertThisInitialized(_this));
    _this.state = {
      record: {}
    };
    return _this;
  }

  _createClass(AuxiliaryComponents, [{
    key: "onChange",
    value: function onChange(value) {
      var _this2 = this;

      // console.log([type,value])
      this.setState({
        record: value
      }, function () {
        var str = '';

        if (value.id) {
          str = ' getID("' + _this2.state.record.code + '","' + value.title + '","' + value.id + '") ';

          _this2.props.onInsertValue(str);

          _this2.props.onDesc('getID');
        }

        if (_this2.props.item.onChange) {
          _this2.props.item.onChange(str, value);
        }
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          ReferDataUrl = _this$props.ReferDataUrl,
          fixedData = _this$props.fixedData;
      return React.createElement("div", {
        className: "yy-tab-content"
      }, React.createElement("form", {
        className: "form-horizontal"
      }, React.createElement("div", {
        className: "form-group"
      }, React.createElement("label", {
        className: "col-sm-2 control-label"
      }, this.props.item.showName), React.createElement("div", {
        className: "col-sm-10"
      }, React.createElement(ReferComponents, {
        url: ReferDataUrl,
        fixedData: fixedData,
        value: this.state.record,
        placeholder: this.props.item.placeholder,
        notFoundContent: this.props.item.notFoundContent,
        onChange: this.onChange
      })))));
    }
  }]);

  return AuxiliaryComponents;
}(React.Component);

AuxiliaryComponents.propTypes = {
  item: PropTypes.object,
  ReferDataUrl: PropTypes.string,
  fixedData: PropTypes.object
};
AuxiliaryComponents.defaultProps = {
  item: {},
  ReferDataUrl: '',
  fixedData: {}
};
polyfill(AuxiliaryComponents);
export default AuxiliaryComponents;